using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;

using EQNetwork.Objects;
using EQNetwork.Interfaces;
using EQNetwork.Utility;

namespace EQNetwork.Services
{
    public partial class MiscService : IMiscService
    {
        private EQProcess _eq;
        public MiscService(EQProcess eq)
        {
            _eq = eq;
        }

        private IEQApiService _api { get { return _eq.EQApiService; } }

        public void Activity_Create(string activity, string secondary) { _api.Activity_Create(activity, secondary); }

        public List<ContentMenu> ContentMenu_List(ref DateTime? modifiedSince) { return _api.ContentMenu_List(ref modifiedSince); }

        public List<Hashtag> Hashtag_Search(string search, PagingParameters pagingParameters) { return _api.Hashtag_Search(search, pagingParameters); }

        public List<Hashtag> Hashtag_Trending(PagingParameters pagingParameters) { return _api.Hashtag_Trending(pagingParameters); }

        public List<Category> Category_ListAll() { return _api.Category_ListAll(); }

    }
}
